E-MailRelay

Public Member Functions | Public Attributes | List of all members
GPop::ServerProtocol::Config Struct Reference

A structure containing configuration parameters for ServerProtocol. More...

`#include <gpopserverprotocol.h>`

Collaboration diagram for GPop::ServerProtocol::Config:
[legend]

## Public Member Functions
Config & | set_crlf_only (bool=true)
Config & | set_sasl_server_challenge_domain (const std::string &)

## Public Attributes
bool | crlf_only {true}
std::string | sasl_server_challenge_domain

## Detailed Description

A structure containing configuration parameters for ServerProtocol.

Definition at line 71 of file gpopserverprotocol.h.

## Member Function Documentation

## ◆ set_crlf_only()

GPop::ServerProtocol::Config & GPop::ServerProtocol::Config::set_crlf_only | ( | bool | b = `true` | ) |
| inline

Definition at line 241 of file gpopserverprotocol.h.

## ◆ set_sasl_server_challenge_domain()

GPop::ServerProtocol::Config & GPop::ServerProtocol::Config::set_sasl_server_challenge_domain | ( | const std::string & | s | ) |
| inline

Definition at line 242 of file gpopserverprotocol.h.

## Member Data Documentation

## ◆ crlf_only

bool GPop::ServerProtocol::Config::crlf_only {true}

Definition at line 73 of file gpopserverprotocol.h.

## ◆ sasl_server_challenge_domain

std::string GPop::ServerProtocol::Config::sasl_server_challenge_domain

Definition at line 74 of file gpopserverprotocol.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopserverprotocol.h